/* $Id: txt_def.h,v 1.1 2004/07/30 07:58:41 berar Exp $ */
/*  edf_def.h esrf data format  */
/* jfberar                               */
/*-----------------------------------------------------------*/
#define EDF_TITLE  "Edf (esrf data file)"

#include "xy_def.h"
/*-----------------------------------------------------------*/
/*-----------------------------------------------------------*/
/*  open the file, get the header and seek to its end        */
XY_HDR  *txt_fopen (FILE *f, int quick, char * buffer); 
void    *txt_getdark(XY_HDR *h, IMAGE *img, int first, int last, 
          float z_cosmic, float t_cosmic, int mode, FILE *f_out);
int      txt_getraw (XY_HDR *h, IMAGE *img, void *val, int pos);
int      txt_getimg (XY_HDR *h, IMAGE *img, int pos);
int      txt_chkhdr (XY_HDR *h1, XY_HDR *h2);
void     txt_free   (XY_HDR *h);
void     txt_fputhdr(FILE *f, XY_HDR *hdr);
/*-----------------------------------------------------------*/
/*       xy_edfstr is a common xy_lib.c functions            */
void     txt_write  (IMAGE *img);
/*-----------------------------------------------------------*/


#ifdef DEF_XY_TXT
#ifdef XY_DEFINED
#error "XY_MACROS can only be defined once"
#endif

#define XY_DEFINED
#define XY_OPEN      txt_open
#define XY_GETDARK   txt_getdark
#define XY_GETRAW    txt_getraw
#define XY_GETIMG    txt_getimg
#define XY_TITLE     TXT_TITLE
#endif



